Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 68894
Status: resolved
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: vincent [...] vinc17.net
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.3800
Fixed in: (no value)



Subject: Build from CPAN fails: Unknown error
Download (untitled) / with headers
text/plain 451b
I cannot build Module::Build on Debian/lenny (perl v5.10.0): Show quoted text
cpan> install Module::Build
Running install for module 'Module::Build' Running make for D/DA/DAGOLDEN/Module-Build-0.3800.tar.gz Has already been unwrapped into directory /home/vlefevre/.cpan/build/Module-Build-0.3800-AgyDow Could not make: Unknown error Running make test Can't test without successful make Running make install Make had returned bad status, install seems impossible
Subject: Re: [rt.cpan.org #68894] Build from CPAN fails: Unknown error
Date: Fri, 17 Jun 2011 16:09:34 -0400
To: bug-Module-Build [...] rt.cpan.org
From: David Golden <dagolden [...] cpan.org>
Download (untitled) / with headers
text/plain 613b
On Fri, Jun 17, 2011 at 8:05 AM, vincent@vinc17.org via RT <bug-Module-Build@rt.cpan.org> wrote: Show quoted text
> I cannot build Module::Build on Debian/lenny (perl v5.10.0): >
> cpan> install Module::Build
> Running install for module 'Module::Build' > Running make for D/DA/DAGOLDEN/Module-Build-0.3800.tar.gz >  Has already been unwrapped into directory > /home/vlefevre/.cpan/build/Module-Build-0.3800-AgyDow > Could not make: Unknown error > Running make test >  Can't test without successful make > Running make install >  Make had returned bad status, install seems impossible
Do you have "make" installed? -- David
From: vincent [...] vinc17.org
Download (untitled) / with headers
text/plain 189b
Le Ven 17 Juin 2011 16:10:04, DAGOLDEN a écrit : Show quoted text
> Do you have "make" installed?
Yes. I could build and install many modules in the same way via cpan, but I have a problem with this one.
Subject: Re: [rt.cpan.org #68894] Build from CPAN fails: Unknown error
Date: Fri, 17 Jun 2011 21:29:43 -0400
To: bug-Module-Build [...] rt.cpan.org
From: David Golden <dagolden [...] cpan.org>
Download (untitled) / with headers
text/plain 730b
On Fri, Jun 17, 2011 at 4:30 PM, vincent@vinc17.org via RT <bug-Module-Build@rt.cpan.org> wrote: Show quoted text
>       Queue: Module-Build >  Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=68894 > > > Le Ven 17 Juin 2011 16:10:04, DAGOLDEN a écrit :
>> Do you have "make" installed?
> > Yes. I could build and install many modules in the same way via cpan, > but I have a problem with this one.
Force re-download of it with "force get Module::Build"), then try "install Module::Build". Please also try it manually: "look Module::Build" from the CPAN shell and then "perl Makefile.PL" "make test" in the shell it opens for you. Finally, please post your CPAN configuration. ("o conf" from the CPAN shell) Thanks. -- David
From: vincent [...] vinc17.org
Download (untitled) / with headers
text/plain 5.5k
Le Ven 17 Juin 2011 21:30:13, DAGOLDEN a écrit : Show quoted text
> Force re-download of it with "force get Module::Build"), then try > "install Module::Build".
Still the same problem. Show quoted text
> Please also try it manually: "look Module::Build" from the CPAN shell > and then "perl Makefile.PL" "make test" in the shell it opens for > you.
tomate:...ild-0.3800-ALUbNR> perl Makefile.PL *** BOOTSTRAPPING version *** Error loading version.pm: Can't locate version/vpp.pm in @INC (@INC contains: lib /home/vlefevre/gmp/athlon64/lib/perl/5.10.0 /home/vlefevre/gmp/athlon64/lib/perl /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi /home/vlefevre/lib/site_perl /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl . inc) at (eval 8) line 2. BEGIN failed--compilation aborted at (eval 8) line 2. Compilation failed in require at (eval 6) line 2. BEGIN failed--compilation aborted at (eval 6) line 2. Using Module::Build::Version bundled version code instead. # running Build.PL *** BOOTSTRAPPING version *** Error loading version.pm: Can't locate version/vpp.pm in @INC (@INC contains: t/lib t/bundled lib /home/vlefevre/gmp/athlon64/lib/perl/5.10.0 /home/vlefevre/gmp/athlon64/lib/perl /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi /home/vlefevre/lib/site_perl /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl . inc) at (eval 10) line 2. BEGIN failed--compilation aborted at (eval 10) line 2. Compilation failed in require at (eval 8) line 2. BEGIN failed--compilation aborted at (eval 8) line 2. Using Module::Build::Version bundled version code instead. Checking prerequisites... recommends: * ExtUtils::Manifest (1.51_01) is installed, but we prefer to have 1.54 Checking optional features... inc_bundling_support....disabled requires: ! ExtUtils::Install (1.44) is installed, but we need version >= 1.54 ! ExtUtils::Installed (1.43) is installed, but we need version >= 1.999 ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the versions of the modules indicated above before proceeding with this installation Created MYMETA.yml and MYMETA.json Creating new 'Build' script for 'Module-Build' version '0.3800' These additional prerequisites must be installed: requires: ! version (we need version 0.87) These additional prerequisites must be installed: requires: ! version (we need version 0.87) Show quoted text
> Finally, please post your CPAN configuration. ("o conf" from the CPAN > shell)
Show quoted text
cpan> o conf
$CPAN::Config options from '/home/vlefevre/.cpan/CPAN/MyConfig.pm': commit [Commit changes to disk] defaults [Reload defaults from disk] help [Short help about 'o conf' usage] init [Interactive setting of all options] applypatch undef auto_commit [0] build_cache [10] build_dir [/home/vlefevre/.cpan/build] build_dir_reuse undef build_requires_install_policy undef bzip2 [/bin/bzip2] cache_metadata [1] check_sigs undef colorize_debug undef colorize_output undef colorize_print undef colorize_warn undef commandnumber_in_prompt undef commands_quote undef cpan_home [/home/vlefevre/.cpan] curl [/usr/bin/curl] dontload_hash dontload_list undef ftp [/usr/bin/ftp] ftp_passive [1] ftp_proxy [] getcwd [cwd] gpg [/usr/bin/gpg] gzip [/bin/gzip] histfile [/home/vlefevre/.cpan/histfile] histsize [100] http_proxy [] inactivity_timeout [0] index_expire [1] inhibit_startup_message [0] keep_source_where [/home/vlefevre/.cpan/sources] load_module_verbosity undef lynx [/usr/bin/lynx] make [/usr/bin/make] make_arg [-j2] make_install_arg [UNINST=1] make_install_make_command [/usr/bin/make] makepl_arg [PREFIX=~/ SITELIBEXP=~/lib/site_perl LIB=~/lib/site_perl INSTALLMAN1DIR=~/share/man/man1 INSTALLSITEMAN1DIR=~/share/man/man1 INSTALLMAN3DIR=~/share/man/man3 INSTALLSITEMAN3DIR=~/share/man/man3] mbuild_arg [] mbuild_install_arg [--uninst 1] mbuild_install_build_command [./Build] mbuildpl_arg [] ncftp undef ncftpget [/usr/bin/ncftpget] no_proxy [] pager [less -is] password undef patch undef prefer_installer [EUMM] prefs_dir undef prerequisites_policy [ask] proxy_pass undef proxy_user undef randomize_urllist undef scan_cache [atstart] shell [/home/vlefevre/x86_64/bin/zsh] show_unparsable_versions undef show_upload_date [1] show_zero_versions undef tar [/bin/tar] tar_verbosity undef term_is_latin [1] term_ornaments undef test_report undef unzip [/usr/bin/unzip] urllist 0 [http://cpan.cict.fr/] 1 [http://cpan.mirrors.easynet.fr/] 2 [ftp://ftp.pasteur.fr/pub/computing/CPAN/] 3 [ftp://ftp.u-strasbg.fr/CPAN] use_sqlite undef username undef wait_list undef wget [/usr/bin/wget] yaml_load_code undef yaml_module undef
Subject: Re: [rt.cpan.org #68894] Build from CPAN fails: Unknown error
Date: Sun, 19 Jun 2011 22:48:32 -0400
To: bug-Module-Build [...] rt.cpan.org
From: David Golden <dagolden [...] cpan.org>
Download (untitled) / with headers
text/plain 886b
On Sun, Jun 19, 2011 at 10:37 AM, vincent@vinc17.org via RT <bug-Module-Build@rt.cpan.org> wrote: Show quoted text
> These additional prerequisites must be installed: >  requires: >    ! version (we need version 0.87)
All of the "Makefile.PL" output seems "normal" (if noisy). What happens if you try to install version? If your dependencies aren't installing correctly, then "make" (which really calls "perl Build") could be failing in some way that isn't giving a useful error message. Please try setting your "prefer_installer" config to "MB" (instead of "EUMM") and trying again ("o conf prefer_installer MB" then "o conf commit"). Restart the CPAN shell and try "install Module::Build" again. That shouldn't be necessary, but it removes one level of indirection (using Makefile.PL/Makefile to call Build.PL/Build), which might make the underlying error more evident. Thank you. -- David
From: vincent [...] vinc17.net
Download (untitled) / with headers
text/plain 1.1k
Le Dim 19 Juin 2011 22:49:00, DAGOLDEN a écrit : Show quoted text
> All of the "Makefile.PL" output seems "normal" (if noisy). What > happens if you try to install version?
It seems to be already installed: Show quoted text
cpan> install version
CPAN: Storable loaded ok (v2.18) Going to read /home/vlefevre/.cpan/Metadata Database was generated on Sun, 19 Jun 2011 05:28:06 GMT version is up to date (0.91). but: tomate:~> perl -Mversion Can't locate version/vpp.pm in @INC (@INC contains: /home/vlefevre/gmp/athlon64/lib/perl/5.10.0 /home/vlefevre/gmp/athlon64/lib/perl /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi /home/vlefevre/lib/site_perl /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at (eval 2) line 2. BEGIN failed--compilation aborted at (eval 2) line 2. Compilation failed in require. BEGIN failed--compilation aborted. zsh: exit 2 perl -Mversion There's a file /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi/version.pm but the directory /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi/version is empty.
Subject: Re: [rt.cpan.org #68894] Build from CPAN fails: Unknown error
Date: Mon, 20 Jun 2011 11:37:35 -0400
To: bug-Module-Build [...] rt.cpan.org
From: David Golden <dagolden [...] cpan.org>
Download (untitled) / with headers
text/plain 437b
On Mon, Jun 20, 2011 at 3:08 AM, vincent@vinc17.org via RT <bug-Module-Build@rt.cpan.org> wrote: Show quoted text
>> All of the "Makefile.PL" output seems "normal" (if noisy).  What >> happens if you try to install version?
> > It seems to be already installed:
It sounds like it's mis-installed. Try installing it manually and see what happens. It's possible that there is a bug in version.pm installation that is causing problems for M::B -- David
From: vincent [...] vinc17.org
Download (untitled) / with headers
text/plain 1.3k
Le Lun 20 Juin 2011 11:38:09, DAGOLDEN a écrit : Show quoted text
> It sounds like it's mis-installed. Try installing it manually and see > what happens. It's possible that there is a bug in version.pm > installation that is causing problems for M::B
The problem may be due to some other module. After rebuilding it "make test" fails: Running make test make[1]: Entering directory `/home/vlefevre/.cpan/build/version-0.91-9SeMDp/vutil' make[1]: Leaving directory `/home/vlefevre/.cpan/build/version-0.91-9SeMDp/vutil' PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t Can't locate TAP/Harness.pm in @INC (@INC contains: /home/vlefevre/gmp/athlon64/lib/perl/5.10.0 /home/vlefevre/gmp/athlon64/lib/perl /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi /home/vlefevre/lib/site_perl /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /home/vlefevre/lib/site_perl/Test/Harness.pm line 10. BEGIN failed--compilation aborted at /home/vlefevre/lib/site_perl/Test/Harness.pm line 10. Compilation failed in require at /usr/share/perl/5.10/ExtUtils/Command/MM.pm line 49. make: *** [test_dynamic] Error 2 JPEACOCK/version-0.91.tar.gz /usr/bin/make test -- NOT OK
From: vincent [...] vinc17.org
Download (untitled) / with headers
text/plain 2.4k
Le Lun 20 Juin 2011 11:38:09, DAGOLDEN a écrit : Show quoted text
> It sounds like it's mis-installed. Try installing it manually and see > what happens. It's possible that there is a bug in version.pm > installation that is causing problems for M::B
Another problem: Show quoted text
cpan> force install version
[...] Running make test make[1]: Entering directory `/home/vlefevre/.cpan/build/version-0.91-OCJxmP/vutil' make[1]: Leaving directory `/home/vlefevre/.cpan/build/version-0.91-OCJxmP/vutil' PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t Can't locate TAP/Harness.pm in @INC (@INC contains: /home/vlefevre/gmp/athlon64/lib/perl/5.10.0 /home/vlefevre/gmp/athlon64/lib/perl /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi /home/vlefevre/lib/site_perl /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /home/vlefevre/lib/site_perl/Test/Harness.pm line 10. BEGIN failed--compilation aborted at /home/vlefevre/lib/site_perl/Test/Harness.pm line 10. Compilation failed in require at /usr/share/perl/5.10/ExtUtils/Command/MM.pm line 49. make: *** [test_dynamic] Error 2 JPEACOCK/version-0.91.tar.gz /usr/bin/make test -- NOT OK //hint// to see the cpan-testers results for installing this module, try: reports JPEACOCK/version-0.91.tar.gz Running make install make[1]: Entering directory `/home/vlefevre/.cpan/build/version-0.91-OCJxmP/vutil' make[1]: Leaving directory `/home/vlefevre/.cpan/build/version-0.91-OCJxmP/vutil' Files found in blib/arch: installing files in blib/lib into architecture dependent library tree !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! WARNING: WARNING: Failed chmod(438, /usr/share/perl/5.10/version.pm): Operation not permitted !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERROR: Cannot unlink '/usr/share/perl/5.10/version.pm': Permission denied !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! at -e line 1 Installing /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi/auto/version/vxs/vxs.so make: *** [pure_perl_install] Error 13 So, there's the "make test" failure, but then it seems that the installer thinks that version.pm has been installed in /usr/share/perl/5.10 while it has been installed in /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi.
Subject: Re: [rt.cpan.org #68894] Build from CPAN fails: Unknown error
Date: Wed, 22 Jun 2011 10:31:57 -0700
To: bug-Module-Build [...] rt.cpan.org
From: Michael G Schwern <schwern [...] pobox.com>
Download (untitled) / with headers
text/plain 2.1k
On 2011.6.20 9:15 AM, vincent@vinc17.org via RT wrote: Show quoted text
> cpan> force install version
> [...] > Running make test > make[1]: Entering directory > `/home/vlefevre/.cpan/build/version-0.91-OCJxmP/vutil' > make[1]: Leaving directory > `/home/vlefevre/.cpan/build/version-0.91-OCJxmP/vutil' > PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" > "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t > Can't locate TAP/Harness.pm in @INC (@INC contains: > /home/vlefevre/gmp/athlon64/lib/perl/5.10.0 > /home/vlefevre/gmp/athlon64/lib/perl > /home/vlefevre/lib/site_perl/x86_64-linux-gnu-thread-multi > /home/vlefevre/lib/site_perl /etc/perl /usr/local/lib/perl/5.10.0 > /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 > /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at > /home/vlefevre/lib/site_perl/Test/Harness.pm line 10.
Something is hosed with your install. Perl is looking in your personal library directory (/home/vlefevre/lib/site_perl) for the testing library (Test/Harness.pm) and it can't find a sub-component (TAP/Harness.pm) anywhere on the system. Are you using the Debian supplied Perl or one you compiled yourself? Are you using local::lib? One way that could happen is if you installed the perl-base package, which contains a very minimal set of Perl and is missing things like TAP::Harness... but then you wouldn't have ExtUtils::Command either. If that is the case, installing the "perl" meta-package should sort that out. Another way is if you're using Debian's Perl while installing your own modules via CPAN.pm and then update Debian's Perl. If CPAN isn't configured properly they might blow over pieces of each other. You wind up with pieces of different versions of the same library. Debian generally configures CPAN properly. Do you have libtest-harness-perl installed? That may have uninstalled part of a CPAN installed Test::Harness. What I'd suggest is temporarily moving /home/vlefevre/lib/*perl* out of the way and see if that fixes things. And if it does, keep it out of the way and reinstall your modules. -- 44. I am not the atheist chaplain. -- The 213 Things Skippy Is No Longer Allowed To Do In The U.S. Army http://skippyslist.com/list/
From: vincent [...] vinc17.org
Download (untitled) / with headers
text/plain 2.5k
Le Mer 22 Juin 2011 13:32:08, schwern@pobox.com a écrit : Show quoted text
> Something is hosed with your install. Perl is looking in your > personal > library directory (/home/vlefevre/lib/site_perl) for the testing > library > (Test/Harness.pm) and it can't find a sub-component (TAP/Harness.pm) > anywhere > on the system. > > Are you using the Debian supplied Perl or one you compiled yourself?
Debian's supplied Perl. Show quoted text
> Are you using local::lib?
No (I don't know what it is). Show quoted text
> One way that could happen is if you installed the perl-base package, > which > contains a very minimal set of Perl and is missing things like > TAP::Harness... > but then you wouldn't have ExtUtils::Command either.
There is no TAP/Harness.pm, but perl-modules provides /usr/share/perl/5.10.0/ExtUtils/Command.pm Show quoted text
> If that is the case, installing the "perl" meta-package should sort > that out.
It is installed. Show quoted text
> Another way is if you're using Debian's Perl while installing your own > modules > via CPAN.pm and then update Debian's Perl. If CPAN isn't configured > properly > they might blow over pieces of each other. You wind up with pieces of > different versions of the same library. Debian generally configures > CPAN > properly.
Well, there are Debian Perl modules installed, and I install missing modules with CPAN in my home directory (because I am not root on these machines). It seems that CPAN reinstalls some modules already provided by Debian, but perhaps because newer versions are needed. Show quoted text
> Do you have libtest-harness-perl installed? That may have > uninstalled part of a CPAN installed Test::Harness.
No, the libtest-harness-perl package is not installed. However perl-modules provides Test::Harness. $ dpkg -L perl-modules | grep Harness /usr/share/perl/5.10.0/Test/Harness.pm /usr/share/perl/5.10.0/Test/Harness /usr/share/perl/5.10.0/Test/Harness/Util.pm /usr/share/perl/5.10.0/Test/Harness/TAP.pod /usr/share/perl/5.10.0/Test/Harness/Straps.pm /usr/share/perl/5.10.0/Test/Harness/Results.pm /usr/share/perl/5.10.0/Test/Harness/Point.pm /usr/share/perl/5.10.0/Test/Harness/Iterator.pm /usr/share/perl/5.10.0/Test/Harness/Assert.pm Also, $ ll -d lib/site_perl/**/Harness* drwxr-xr-x 2 vlefevre users 6 2011-06-17 13:07:23 lib/site_perl/TAP/Harness/ -r--r--r-- 1 vlefevre users 15423 2011-02-20 14:25:23 lib/site_perl/Test/Harness.pm Show quoted text
> What I'd suggest is temporarily moving /home/vlefevre/lib/*perl* out > of the > way and see if that fixes things. And if it does, keep it out of the > way and > reinstall your modules.
OK, I'm going to try that.
From: vincent [...] vinc17.org
Download (untitled) / with headers
text/plain 303b
Le Mer 22 Juin 2011 13:32:08, schwern@pobox.com a écrit : Show quoted text
> What I'd suggest is temporarily moving /home/vlefevre/lib/*perl* out > of the way and see if that fixes things. And if it does, keep it out > of the way and reinstall your modules.
The problem was solved by a full reinstall of the modules.
From: vincent [...] vinc17.org
Download (untitled) / with headers
text/plain 376b
Le Lun 27 Juin 2011 06:48:08, vincent@vinc17.org a écrit : Show quoted text
> The problem was solved by a full reinstall of the modules.
Well, it can occur again with a rebuild. The real problem (which affects the installation of other modules, such as Math::MPFR) is the missing TAP/Harness.pm file. I've opened a new bug about that: https://rt.cpan.org/Public/Bug/Display.html?id=69335
Thanks for sorted out the issues and opening the other ticket.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.